
Redmine - Defect #32910

Rails 6: add lookup_context to hook_test.rb

2020-01-28 23:17 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes

Redmine::Hook::ManagerTest#test_call_hook_from_view_with_project_added_to_context:

NotImplementedError: String

    test/unit/lib/redmine/hook_test.rb:188:in `new'

    test/unit/lib/redmine/hook_test.rb:188:in `view_hook_helper'

    test/unit/lib/redmine/hook_test.rb:146:in `test_call_hook_from_view_with_project_added_to_cont

ext'

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

History

#1 - 2020-01-29 08:24 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support

#3 - 2021-03-30 18:30 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#4 - 2021-04-02 07:55 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by r20889.

Files

hook_test.rb.patch 581 Bytes 2020-01-28 Pavel Rosický
